Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLTreeNamespaceManager

    java.lang.Object
      ix.util.xml.XMLTreeNamespaceManager

    public class XMLTreeNamespaceManager

extends java.lang.Object

Handles XML namespace definitions for an XML tree editor.

See Also:
  `XMLTreeEditFrame`, `XMLTreeEditPanel`

Nested Class Summary
`(package private) class` | `XMLTreeNamespaceManager.NamespaceCellRenderer`
`protected class` | `XMLTreeNamespaceManager.NamespaceComparator`
`protected class` | `XMLTreeNamespaceManager.NamespaceFrame`
`(package private) class` | `XMLTreeNamespaceManager.NamespaceJTable`
`protected class` | `XMLTreeNamespaceManager.NamespaceMap`
`(package private) class` | `XMLTreeNamespaceManager.NamespaceTableModel`
`(package private) class` | `XMLTreeNamespaceManager.RowPopupMenu`
`(package private) class` | `XMLTreeNamespaceManager.TableMouseListener`

Field Summary
`protected XMLTreeNamespaceManager.NamespaceFrame` | `frame`
`protected java.lang.String[]` | `helpText`
`protected XMLTreeNamespaceManager.NamespaceTableModel` | `model`
`protected java.util.List` | `namespaceListeners`
`protected XMLTreeNamespaceManager.NamespaceMap` | `namespaces`
`protected int[]` | `niceColors`
`protected int` | `niceColorsUsed`
`protected javax.swing.JTable` | `table`

Constructor Summary
`XMLTreeNamespaceManager(java.lang.String frameTitle)`

Method Summary
`protected void` | `addInitialNamespaces(XMLTreeNamespaceManager.NamespaceMap map)`
`void` | `addNamespaceListener(NamespaceListener listener)`
`void` | `fireNamespaceEvent(NamespaceEvent e)`
`java.awt.Color` | `getNamespaceColor(org.jdom.Namespace n)`
`java.util.List` | `getNamespaces()`
`void` | `noteNamespace(org.jdom.Namespace n)`
`org.jdom.Namespace` | `parseNamespaceSpec(java.lang.String spec)`
`protected java.awt.Color` | `pickNewNamespaceColor(org.jdom.Namespace n)`
`void` | `setVisible(boolean v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frame

    protected XMLTreeNamespaceManager.NamespaceFrame frame

### table

    protected javax.swing.JTable table

### model

    protected XMLTreeNamespaceManager.NamespaceTableModel model

### namespaces

    protected XMLTreeNamespaceManager.NamespaceMap namespaces

### namespaceListeners

    protected java.util.List namespaceListeners

### niceColorsUsed

    protected int niceColorsUsed

### niceColors

    protected int[] niceColors

### helpText

    protected java.lang.String[] helpText

Constructor Detail

### XMLTreeNamespaceManager

    public XMLTreeNamespaceManager(java.lang.String frameTitle)

Method Detail

### addInitialNamespaces

    protected void addInitialNamespaces(XMLTreeNamespaceManager.NamespaceMap map)

### setVisible

    public void setVisible(boolean v)

### getNamespaces

    public java.util.List getNamespaces()

### parseNamespaceSpec

    public org.jdom.Namespace parseNamespaceSpec(java.lang.String spec)

### getNamespaceColor

    public java.awt.Color getNamespaceColor(org.jdom.Namespace n)

### noteNamespace

    public void noteNamespace(org.jdom.Namespace n)

### pickNewNamespaceColor

    protected java.awt.Color pickNewNamespaceColor(org.jdom.Namespace n)

### addNamespaceListener

    public void addNamespaceListener(NamespaceListener listener)

### fireNamespaceEvent

    public void fireNamespaceEvent(NamespaceEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD